## reportbug 6.6.3+devuan1.3

=== debian/changelog ===
reportbug (6.6.3+devuan1.3) unstable; urgency=medium

  * tiny version bump to please jenkins

 -- Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org>  Sat, 15 Apr 2017 10:37:29 +0100

reportbug (6.6.3+devuan1.2) unstable; urgency=medium

  [ KatolaZ ]
  * changed version in __init__.py
  * creating suite suites/jessie
  * moving to jessie


 -- Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org>  Sat, 15 Apr 2017 10:15:16 +0100

reportbug (6.6.3+devuan1.1) unstable; urgency=medium

  [ KatolaZ ]
  * Adapting version 6.6.3 for Devuan Jessie

 -- Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org>  Fri, 31 Mar 2017 20:01:57 +0100

=== debian/control ===
Source: reportbug
Section: utils
Priority: standard
Maintainer: Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org> 
Standards-Version: 3.9.6
Build-Depends: debhelper (>= 9), python (>= 2.5), dh-python
Build-Depends-Indep: python-nose, python-setuptools, python-mock
X-Python-Version: >= 2.6
Vcs-Git: git://anonscm.debian.org/reportbug/reportbug.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=reportbug/reportbug.git
Homepage: http://alioth.debian.org/projects/reportbug/

Package: reportbug
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, apt, python-reportbug (= ${source:Version})
Suggests: postfix | exim4 | mail-transport-agent, gnupg | pgp, debconf-utils (>> 1.1.0), debsums (>= 2.0.47), file (>> 1.30), dlocate, python-urwid, python-gtk2, python-vte, python-gtkspell, xdg-utils, emacs23-bin-common | emacs24-bin-common, claws-mail (>= 3.8.0)
Description: reports bugs in the Debian distribution
 reportbug is a tool designed to make the reporting of bugs in Debian
 and derived distributions relatively painless.  Its features include:
 .
  * Integration with mutt and mh/nmh mail readers.
  * Access to outstanding bug reports to make it easier to identify
    whether problems have already been reported.
  * Automatic checking for newer versions of packages.
  * Optional automatic verification of integrity of packages via debsums.
  * Support for following-up on outstanding reports.
  * Optional PGP/GnuPG integration.
 .
 reportbug is designed to be used on systems with an installed mail
 transport agent, like exim or sendmail; however, you can edit the
 configuration file and send reports using any available mail server.
 .
 This package also includes the "querybts" script for browsing the
 Debian bug tracking system.

Package: python-reportbug
Section: python
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, apt, python-debian, python-debianbts
Suggests: reportbug
Description: Python modules for interacting with bug tracking systems
 reportbug is a tool designed to make the reporting of bugs in Debian
 and derived distributions relatively painless.
 .
 This package includes Python modules which may be reusable by other
 tools that want to interact with the Debian bug tracking system.
 .
 To actually report a bug, install the reportbug package.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

VERSION := $(shell dpkg-parsechangelog | egrep '^Version:' | sed 's/^Version: \([^-]*\).*/\1/')
DISTRO := $(shell dpkg-parsechangelog | egrep '^Distribution:' | sed 's/^Distribution: \([^+]*\).*/\1/')
REPORTBUG_VERSION := $(shell python -c "import reportbug; print reportbug.VERSION_NUMBER")

%:
	dh $@ --with=python2

override_dh_auto_build:
	# Test if versions are synchronized (only if releasing); this will bomb if not synced
	if [ "$(DISTRO)" != "UNRELEASED" -a "$(REPORTBUG_VERSION)" != "$(VERSION)" ] ; \
	then \
		echo 'Please update VERSION_NUMBER variable in reportbug/__init__.py'; exit 1 ; \
	fi

	python setup.py build

override_dh_auto_install:
	python setup.py install --root $(CURDIR)/debian/reportbug --install-layout=deb
	mv $(CURDIR)/debian/reportbug/usr/lib $(CURDIR)/debian/python-reportbug/usr
	chmod 0755 $(CURDIR)/debian/reportbug/usr/bin/*
	cp -p conf/reportbug.conf $(CURDIR)/debian/reportbug/etc

	cp -p debian/desktop $(CURDIR)/debian/reportbug/usr/share/applications/reportbug.desktop

override_dh_installman:
	dh_installman man/*

## reportbug 6.6.5ubuntu1

=== debian/changelog ===
reportbug (6.6.5ubuntu1) wily; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - bin/reportbug: If bts=ubuntu or unconfigured, exit with an error and
      refer user to "ubuntu-bug" instead.
    - reportbug/__init__.py: Match reportbug version with package version.
    - debian/control: Add prominent note to package description.
    - debian/{rules,dirs}: Do not install .desktop file.

 -- Logan Rosen <logan@ubuntu.com>  Fri, 18 Sep 2015 23:49:07 -0400

reportbug (6.6.5) unstable; urgency=medium

  * reportbug/debbugs.py
    - use 'ANY' as an alias for "all architectures" when requesting a binNMU;
      thanks to Mehdi for report and patch; Closes: #795687
  * debian/control
    - set dep on python-debianbts to the version implementing the paged access
      to BTS; Closes: #796759
  * bin/reportbug, reportbug/{debbugs.py, exceptions.py}
    - in case of an error accessing the BTS, throw a new exception, and catch it
      in the main program, and display a message about it
  * bin/reportbug
    - special-case also the short alias -T along with --tag; this fixes a crash
      in 'debian-bug' in Emacs; thanks to Sven  Joachim for report and patch;
      Closes: #794590
  * reportbug/utils.py
    - correctly identify conffiles marked as obsolete; thanks to Jakub Wilk for
      the report; Closes: #791577
  * PEP8-fied the source code (except for "line too long", which we ignore)

 -- Sandro Tosi <morph@debian.org>  Fri, 18 Sep 2015 21:38:56 +0100

reportbug (6.6.4ubuntu1) wily; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - bin/reportbug: If bts=ubuntu or unconfigured, exit with an error and
      refer user to "ubuntu-bug" instead.
    - reportbug/__init__.py: Match reportbug version with package version.
    - debian/control: Add prominent note to package description.
    - debian/{rules,dirs}: Do not install .desktop file.

 -- Logan Rosen <logan@ubuntu.com>  Tue, 04 Aug 2015 02:07:55 -0400

reportbug (6.6.4) unstable; urgency=medium

  * reportbug/debbugs.py
    - fix usage of singular they in RFH description; thanks to Doug Torrance for
      the report; Closes: #776015
    - clarify the menu for partial/all archs for binNMUs and RMs; thanks to
      Kamaraju Kusumanchi for the report; Closes: #773606
    - clarify to not select any item in the suite menu for ftp.debian.org to
      choose 'unstable', that should work on every UI available; thanks to
      Rafael Laboissiere for the report; Closes: #765546
    - extend release.d.o binNMUs handling to include a menu to request the suite
      the binNMU is for; thanks to Andreas Beckmann for the report and Niels
      Thykier, Adam D. Barratt from release team for help; Closes: #769355
  * share/script
    - report PAGER environment variable when filing a bug against reportbug
  * reportbug/ui/gtk2_ui.py
    - correctly acquire GDK mutual exclusion lock
  * reportbug/submit.py
    - correctly handle the case where there is not MTA or smtphost defined;
      Closes: #782319, #780825, #769055
    - use ui.final_message() when printing the last message and then exit
  * bin/reportbug
    - suggest to contact Debian support channels when reporting bugs against
      generic packages; thanks to Tomas Pospisek for the patch; Closes: #661563
    - set default encoding to UTF-8, should prevent all the "UnicodeDecodeError:
      'ascii' codec can't decode" bugs; Closes: #769013, #739507, #761367,
      #771833, #672487, #739507, #612712, #690882, #779200, #642096, #666116
    - --tag cli option now correctly generates the list of available tags based
      on the selected mode, which includes 'security'; Closes: #685826
  * reportbug/{debbugs.py, ui/text_ui.py}, test/test_{debbugs.py, urlutils.py}
    - use HTTPS when connecting to Debian BTS
  * bin/reportbug, reportbug/ui/urwid_ui.py
    - make the Cancel button in Urwid interface works for tags and severity
      lists; thanks to Ryan Kavanagh for report and patch; Closes: #702521
  * reportbug/utils.py
    - support LANG declined Description-xx field in package information; thanks
      to Robert Luberda for the report; Closes: #683116
  * bin/reportbug, man/reportbug.1
    - add --{no-}security-team, to declare to send (or not) the report only to
      the security team since it is (or not) an undisclosed vulnerability;
      Closes: #685829
  * bin/reportbug, reportbug/debbugs.py
    - remove 'base' pseudo-package, to be deprecated in BTS too; Closes: #761206

 -- Sandro Tosi <morph@debian.org>  Mon, 03 Aug 2015 20:46:01 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,9 @@
 Source: reportbug
 Section: utils
 Priority: standard
-Maintainer: Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org> 
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Reportbug Maintainers <reportbug-maint@lists.alioth.debian.org>
+Uploaders: Sandro Tosi <morph@debian.org>, Chris Lawrence <lawrencc@debian.org>
 Standards-Version: 3.9.6
 Build-Depends: debhelper (>= 9), python (>= 2.5), dh-python
 Build-Depends-Indep: python-nose, python-setuptools, python-mock
@@ -32,11 +34,15 @@
  .
  This package also includes the "querybts" script for browsing the
  Debian bug tracking system.
+ .
+ REPORTBUG IS MEANT FOR UBUNTU DEVELOPERS TO FORWARD BUGS TO DEBIAN.
+ IF YOU WANT TO REPORT A BUG IN UBUNTU, PLEASE USE "ubuntu-bug"
+ INSTEAD (from the "apport" package).
 
 Package: python-reportbug
 Section: python
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}, apt, python-debian, python-debianbts
+Depends: ${misc:Depends}, ${python:Depends}, apt, python-debian, python-debianbts (>= 1.13)
 Suggests: reportbug
 Description: Python modules for interacting with bug tracking systems
  reportbug is a tool designed to make the reporting of bugs in Debian

## reportbug 6.6.6~bpo8+1

=== debian/changelog ===
reportbug (6.6.6~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Sandro Tosi <morph@debian.org>  Mon, 08 Feb 2016 23:32:30 +0000

reportbug (6.6.6) unstable; urgency=medium

  * reportbug/utils.py
    - Update the SUITES2DISTS mapping for the jessie release; patch by Paul Wise
    - 'Control' pseudo-header can be repeated/present multiple times in the
      report; Closes: #687679
  * man/querybts.1
    - document http_proxy environment variable in querybts manpage; report and
      patch by Jakub Wilk; Closes: #800092
  * Consolidate Debian release codenames handling in a single place, updating
    how release.d.o is using this information; Closes: #804504
  * bin/reportbug
    - rephrase slightly the orphan check warning; Closes: #544624
    - where there are modified conffiles, clarify the menu entry to view such
      files that a "q" is required to exit it, making it more clear in the GTK
      UI; Closes: #732334
    - default '--exitprompt' to False, should avoid a spurious message in GTK UI
      when reporting additional information; Closes: #745514
  * reportbug/submit.py
    - in paranoid mode, handle the case when the pager exists without having
      processed all the text we are sending and it generates a SIGPIPE;
      Closes: #777010, #686922
    - decode email addresses when printing the recipients recap at submit time;
      Closes: #546914
    - dont escape a single dot line surrounded by newlines (the End-Of-Message
      in SMTP), it is done by sendmail() automatically; Closes: #808742
    - print the "If you want to provide additional information" text only if an
      email is specified in sysinfo, this prevents a crash if we are sending
      reports to a non-debbugs instance; Closes: #789332
    - save a backup of the bug report, that will prevent data loss in case of
      crash or unexpected errors; Closes: #736214
  * debian/control
    - add dep on 'file' for python-reportbug; Closes: #803764
  * reportbug/ui/text_ui.py
    - dont crash when selecting "Providing additional information" after
      filtering the bugs list more than once; Closes: #804130
  * reportbug/ui/gtk2_ui.py
    - switch from gtkspell (now removed) to gtkspellcheck; Closes: #802387
  * man/querybts.1
    - remove reference to BROWSER env variable, we use xdg-open; Closes: #690759
  * reportbug/urlutils.py
    - remove handling of X11BROWSER and CONSOLEBROWSER, obsolete
    - explicitly set the timeout when requesting a URL, that happens in
      particular when checking for newer versions; Closes: #784840
  * reportbug/ui/*
    - dont crash if we cant access the BTS: Closes: #694634

 -- Sandro Tosi <morph@debian.org>  Sat, 02 Jan 2016 01:47:46 +0000

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: reportbug
 Section: utils
 Priority: standard
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Reportbug Maintainers <reportbug-maint@lists.alioth.debian.org>
+Maintainer: Reportbug Maintainers <reportbug-maint@lists.alioth.debian.org>
 Uploaders: Sandro Tosi <morph@debian.org>, Chris Lawrence <lawrencc@debian.org>
 Standards-Version: 3.9.6
 Build-Depends: debhelper (>= 9), python (>= 2.5), dh-python
@@ -15,7 +14,7 @@
 Package: reportbug
 Architecture: all
 Depends: ${misc:Depends}, ${python:Depends}, apt, python-reportbug (= ${source:Version})
-Suggests: postfix | exim4 | mail-transport-agent, gnupg | pgp, debconf-utils (>> 1.1.0), debsums (>= 2.0.47), file (>> 1.30), dlocate, python-urwid, python-gtk2, python-vte, python-gtkspell, xdg-utils, emacs23-bin-common | emacs24-bin-common, claws-mail (>= 3.8.0)
+Suggests: postfix | exim4 | mail-transport-agent, gnupg | pgp, debconf-utils (>> 1.1.0), debsums (>= 2.0.47), file (>> 1.30), dlocate, python-urwid, python-gtk2, python-vte, python-gtkspellcheck, xdg-utils, emacs23-bin-common | emacs24-bin-common, claws-mail (>= 3.8.0)
 Description: reports bugs in the Debian distribution
  reportbug is a tool designed to make the reporting of bugs in Debian
  and derived distributions relatively painless.  Its features include:
@@ -34,15 +33,11 @@
  .
  This package also includes the "querybts" script for browsing the
  Debian bug tracking system.
- .
- REPORTBUG IS MEANT FOR UBUNTU DEVELOPERS TO FORWARD BUGS TO DEBIAN.
- IF YOU WANT TO REPORT A BUG IN UBUNTU, PLEASE USE "ubuntu-bug"
- INSTEAD (from the "apport" package).
 
 Package: python-reportbug
 Section: python
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}, apt, python-debian, python-debianbts (>= 1.13)
+Depends: ${misc:Depends}, ${python:Depends}, apt, python-debian, python-debianbts (>= 1.13), file
 Suggests: reportbug
 Description: Python modules for interacting with bug tracking systems
  reportbug is a tool designed to make the reporting of bugs in Debian

## reportbug 6.6.6ubuntu1~ubuntu14.04.2

=== Makefile ===
#! /usr/bin/make -f

NOSETESTS = nosetests test -v --stop
nosetests_cmd = $(NOSETESTS) ${NOSETESTS_OPTS}

.PHONY: tests
tests:
	$(nosetests_cmd)

# run tests not requiring network
.PHONY: quicktests
quicktests: NOSETESTS_OPTS += --processes=4 --attr='!network'
quicktests:
	$(nosetests_cmd)

coverage: NOSETESTS_OPTS += --with-coverage --cover-package=reportbug
coverage:
	$(nosetests_cmd)

coverhtml: NOSETESTS_OPTS += --cover-html
coverhtml: coverage

codechecks: pep8 pyflakes pylint

pep8:
	pep8 --verbose --repeat --show-source --filename=*.py,reportbug,querybts . --statistics --ignore=E501

pyflakes:
	pyflakes . bin/*

pylint:
	pylint --output-format=colorized  bin/* reportbug/ checks/* test/ setup.py

=== debian/changelog ===
reportbug (6.6.6ubuntu1~ubuntu14.04.2) trusty-backports; urgency=medium

  * Fix VERSION_NUMBER in reportbug/__init__.py to match package version

 -- Scott Kitterman <scott@kitterman.com>  Fri, 11 Mar 2016 11:56:52 -0500

reportbug (6.6.6ubuntu1~ubuntu14.04.1) trusty-backports; urgency=medium

  * No-change backport to trusty (LP: #1556174)

 -- Scott Kitterman <scott@kitterman.com>  Fri, 11 Mar 2016 11:08:25 -0500

reportbug (6.6.6ubuntu1) xenial; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - bin/reportbug: If bts=ubuntu or unconfigured, exit with an error and
      refer user to "ubuntu-bug" instead.
    - reportbug/__init__.py: Match reportbug version with package version.
    - debian/control: Add prominent note to package description.
    - debian/{rules,dirs}: Do not install .desktop file.

 -- Logan Rosen <logan@ubuntu.com>  Fri, 15 Jan 2016 23:33:48 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: reportbug
 Section: utils
 Priority: standard
-Maintainer: Reportbug Maintainers <reportbug-maint@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Reportbug Maintainers <reportbug-maint@lists.alioth.debian.org>
 Uploaders: Sandro Tosi <morph@debian.org>, Chris Lawrence <lawrencc@debian.org>
 Standards-Version: 3.9.6
 Build-Depends: debhelper (>= 9), python (>= 2.5), dh-python
@@ -33,6 +34,10 @@
  .
  This package also includes the "querybts" script for browsing the
  Debian bug tracking system.
+ .
+ REPORTBUG IS MEANT FOR UBUNTU DEVELOPERS TO FORWARD BUGS TO DEBIAN.
+ IF YOU WANT TO REPORT A BUG IN UBUNTU, PLEASE USE "ubuntu-bug"
+ INSTEAD (from the "apport" package).
 
 Package: python-reportbug
 Section: python

## reportbug 6.6.6ubuntu1

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-VERSION := $(shell dpkg-parsechangelog | egrep '^Version:' | sed 's/^Version: \([^-]*\).*/\1/')
+VERSION := $(shell dpkg-parsechangelog | egrep '^Version:' | sed 's/^Version: \([^+]*\).*/\1/')
 DISTRO := $(shell dpkg-parsechangelog | egrep '^Distribution:' | sed 's/^Distribution: \([^+]*\).*/\1/')
 REPORTBUG_VERSION := $(shell python -c "import reportbug; print reportbug.VERSION_NUMBER")
 
@@ -25,7 +25,5 @@
 	chmod 0755 $(CURDIR)/debian/reportbug/usr/bin/*
 	cp -p conf/reportbug.conf $(CURDIR)/debian/reportbug/etc
 
-	cp -p debian/desktop $(CURDIR)/debian/reportbug/usr/share/applications/reportbug.desktop
-
 override_dh_installman:
 	dh_installman man/*

## reportbug 7.1.3ubuntu1

=== debian/changelog ===
reportbug (7.1.3ubuntu1) zesty; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - bin/reportbug: If bts=ubuntu or unconfigured, exit with an error and
      refer user to "ubuntu-bug" instead.
    - reportbug/__init__.py: Match reportbug version with package version.
    - debian/control: Add prominent note to package description.
    - debian/{rules,dirs}: Do not install .desktop file.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Tue, 17 Jan 2017 16:42:10 +0530

reportbug (7.1.3) unstable; urgency=medium

  * debian/control
    - bump Standards-Version to 3.9.8 (no changes needed)
  * share/script
    - modify the bug script to cope with non-ascii characters; patch by Nis
      Martensen; Closes: #851322
  * man/reportbug.1
    - fix order of email environment variables; patch by Nis Martensen;
      Closes: #851355
  * bin/reportbug
    - output user from address in human-readable format; patch by Nis Martensen;
      Closes: 851361
  * reportbug/ui/urwid_ui.py
    - unbreak 'Read bug' functionality in urwid UI; patch by Ryan Kavanagh;
      Closes: #851055
  * debian/menu
    - removed, now obsolete in favor of XDG desktop files; patch by Boyuan Yang;
      Closes: #851415
  * debian/desktop
    - improve to the file and no longer hardcode the debian-swirl file location;
      patch by Boyuan Yang; Closes; #836253
  * reportbug/ui/gtk2_ui.py
    - fixes and improvements to GTK2 interface from James Clarke and Simon
      McVittie, thanks a lot! Closes: #850733

 -- Sandro Tosi <morph@debian.org>  Sun, 15 Jan 2017 20:30:27 -0500

reportbug (7.1.2ubuntu1) zesty; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - bin/reportbug: If bts=ubuntu or unconfigured, exit with an error and
      refer user to "ubuntu-bug" instead.
    - reportbug/__init__.py: Match reportbug version with package version.
    - debian/control: Add prominent note to package description.
    - debian/{rules,dirs}: Do not install .desktop file. 

 -- Logan Rosen <logan@ubuntu.com>  Sat, 07 Jan 2017 05:20:13 -0500

reportbug (7.1.2) unstable; urgency=medium

  * reportbug/utils.py
    - fix the 'email' name clash in reportbug.utils functions by renaming their
      arguments to 'emailaddr', this fixes names with special characters in the
      address; patch by Didier 'OdyX' Raboud; Closes: #848692
    - capitalize, not uppercase, ampersend user replacement; patch by Nis
      Martensen; Closes: #849677
  * reportbug/ui/text_ui.py
    - use integer division when computing the max length for a name; suggestion
      by Ben Longbons; Closes: #848655
  * share/{bug, control}
    - port bug script and control file to py3k; patch by Nis Martensen;
      Closes: #849749
  * reportbug/debbugs.py
    - add jenkins.debian.org pseudopackage
  * Extend packaging copyright years

 -- Sandro Tosi <morph@debian.org>  Wed, 04 Jan 2017 20:17:13 -0500

reportbug (7.1.1ubuntu1) zesty; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - bin/reportbug: If bts=ubuntu or unconfigured, exit with an error and
      refer user to "ubuntu-bug" instead.
    - reportbug/__init__.py: Match reportbug version with package version.
    - debian/control: Add prominent note to package description.
    - debian/{rules,dirs}: Do not install .desktop file.

 -- Logan Rosen <logan@ubuntu.com>  Sat, 24 Dec 2016 17:01:44 -0500

reportbug (7.1.1) unstable; urgency=medium

  * Upload to unstable
  * reportbug/debbugs.py
    - add sections for Rust and JavaScript, patch by Josh Triplett;
      Closes: #847537
    - update the list of pseudopackages (and fix & re-enable unittest);
      Closes: #831848
    - revert the description of www.debian.org to the official one (see also
      #813108); Closes: #813113
  * doc/README.Users
    - grammar fixes/improvements; patch by Vilius Panevėžys; Closes: #811193

 -- Sandro Tosi <morph@debian.org>  Sun, 18 Dec 2016 16:12:00 -0500

reportbug (7.1.0) experimental; urgency=medium

  * port GTK interface to GTK3; thanks to Simon McVittie for sending all the
    patches to implement this; Closes: #651590

 -- Sandro Tosi <morph@debian.org>  Wed, 14 Dec 2016 19:33:58 -0500

reportbug (7.0.1) experimental; urgency=medium

  * debian/control
    - add python3-requests to python3-reportbug Depends; Closes: #846657
  * reportbug/utils.py
    - dont remove the first character from the filename when calling an external
      MUA; Closes: #846778

 -- Sandro Tosi <morph@debian.org>  Wed, 07 Dec 2016 19:22:37 -0500

reportbug (7.0.0) experimental; urgency=medium

  * port reportbug to py3k

 -- Sandro Tosi <morph@debian.org>  Wed, 30 Nov 2016 20:25:52 -0500

=== debian/control ===
--- 
+++ 
@@ -4,18 +4,17 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Reportbug Maintainers <reportbug-maint@lists.alioth.debian.org>
 Uploaders: Sandro Tosi <morph@debian.org>, Chris Lawrence <lawrencc@debian.org>
-Standards-Version: 3.9.6
-Build-Depends: debhelper (>= 9), python (>= 2.5), dh-python
-Build-Depends-Indep: python-nose, python-setuptools, python-mock
-X-Python-Version: >= 2.6
+Standards-Version: 3.9.8
+Build-Depends: debhelper (>= 9), python3, dh-python
+Build-Depends-Indep: python3-nose, python3-setuptools, python3-mock
 Vcs-Git: git://anonscm.debian.org/reportbug/reportbug.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=reportbug/reportbug.git
 Homepage: http://alioth.debian.org/projects/reportbug/
 
 Package: reportbug
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}, apt, python-reportbug (= ${source:Version})
-Suggests: postfix | exim4 | mail-transport-agent, gnupg | pgp, debconf-utils (>> 1.1.0), debsums (>= 2.0.47), file (>> 1.30), dlocate, python-urwid, python-gtk2, python-vte, python-gtkspellcheck, xdg-utils, emacs23-bin-common | emacs24-bin-common, claws-mail (>= 3.8.0)
+Depends: ${misc:Depends}, ${python3:Depends}, apt, python3-reportbug (= ${source:Version})
+Suggests: postfix | exim4 | mail-transport-agent, gnupg | pgp, debconf-utils (>> 1.1.0), debsums (>= 2.0.47), file (>> 1.30), dlocate, python3-urwid, python3-gi, gir1.2-gtk-3.0, gir1.2-vte-2.91, python3-gtkspellcheck, xdg-utils, emacs23-bin-common | emacs24-bin-common, claws-mail (>= 3.8.0)
 Description: reports bugs in the Debian distribution
  reportbug is a tool designed to make the reporting of bugs in Debian
  and derived distributions relatively painless.  Its features include:
@@ -39,10 +38,10 @@
  IF YOU WANT TO REPORT A BUG IN UBUNTU, PLEASE USE "ubuntu-bug"
  INSTEAD (from the "apport" package).
 
-Package: python-reportbug
+Package: python3-reportbug
 Section: python
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}, apt, python-debian, python-debianbts (>= 1.13), file
+Depends: ${misc:Depends}, ${python3:Depends}, apt, python3-debian, python3-debianbts (>= 1.13), file, python3-requests
 Suggests: reportbug
 Description: Python modules for interacting with bug tracking systems
  reportbug is a tool designed to make the reporting of bugs in Debian

## reportbug 7.1.6+devuan2.1

=== debian/changelog ===
reportbug (7.1.6+devuan2.1) unstable; urgency=medium

  * releasing devuan version for ascii

 -- Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org>  Sat, 03 Jun 2017 23:56:28 +0100

reportbug (7.1.6) unstable; urgency=medium

  * reportbug/utils.py
    - wrap every command execution in a helper function to (eventually) decode
      the command output, this will prevent non-UTF-8 output to crash reportbug;
      patch by Nis Martensen; Closes: #857794
  * reportbug/submit.py
    - handle text attachments in different encodings, currently making reportbug
      crash; patch by Nis Martensen; Follow up for #848729

 -- Sandro Tosi <morph@debian.org>  Tue, 18 Apr 2017 21:12:02 -0400

reportbug (7.1.5) unstable; urgency=medium

  * reportbug/utils.py
    - handle correcly the situation where reportbug config file and dpkg status
      database have a different charset than current locale; patch by Nis
      Martensen; Closes: #848729
  * reportbug/ui/gtk2_ui.py
    - fallback gracefully to text UI if running GTK+ interface on a text
      console; patch by Nis Martensen; Closes: #853269
    - fallback gracefully to text UI in case some of the GTK+ deps are not
      available, by catching all the relevant exceptions; patch by Jakob Haufe;
      Closes: #854405
    - require also Cairo, required to render the GTK+ interface; patch by Nis
      Martensen; Closes: #852652

 -- Sandro Tosi <morph@debian.org>  Sun, 12 Feb 2017 12:07:18 -0500

reportbug (7.1.4) unstable; urgency=medium

  * reportbug/submit.py
    - use the correct email.encoders modules when attaching binary files;
      Closes: #850317
  * debian/control
    - add python3-gi-cairo to reportbug Suggests; Closes: #851968
  * doc/README.Users
    - update GTK interface doc about which packages to install

 -- Sandro Tosi <morph@debian.org>  Sun, 22 Jan 2017 18:16:04 -0500

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,8 @@
 Source: reportbug
 Section: utils
 Priority: standard
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Reportbug Maintainers <reportbug-maint@lists.alioth.debian.org>
-Uploaders: Sandro Tosi <morph@debian.org>, Chris Lawrence <lawrencc@debian.org>
-Standards-Version: 3.9.8
+Maintainer: Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org> 
+Standards-Version: 3.9.6
 Build-Depends: debhelper (>= 9), python3, dh-python
 Build-Depends-Indep: python3-nose, python3-setuptools, python3-mock
 Vcs-Git: git://anonscm.debian.org/reportbug/reportbug.git
@@ -14,7 +12,7 @@
 Package: reportbug
 Architecture: all
 Depends: ${misc:Depends}, ${python3:Depends}, apt, python3-reportbug (= ${source:Version})
-Suggests: postfix | exim4 | mail-transport-agent, gnupg | pgp, debconf-utils (>> 1.1.0), debsums (>= 2.0.47), file (>> 1.30), dlocate, python3-urwid, python3-gi, gir1.2-gtk-3.0, gir1.2-vte-2.91, python3-gtkspellcheck, xdg-utils, emacs23-bin-common | emacs24-bin-common, claws-mail (>= 3.8.0)
+Suggests: postfix | exim4 | mail-transport-agent, gnupg | pgp, debconf-utils (>> 1.1.0), debsums (>= 2.0.47), file (>> 1.30), dlocate, python3-urwid, python3-gi, python3-gi-cairo, gir1.2-gtk-3.0, gir1.2-vte-2.91, python3-gtkspellcheck, xdg-utils, emacs23-bin-common | emacs24-bin-common, claws-mail (>= 3.8.0)
 Description: reports bugs in the Debian distribution
  reportbug is a tool designed to make the reporting of bugs in Debian
  and derived distributions relatively painless.  Its features include:
@@ -33,10 +31,6 @@
  .
  This package also includes the "querybts" script for browsing the
  Debian bug tracking system.
- .
- REPORTBUG IS MEANT FOR UBUNTU DEVELOPERS TO FORWARD BUGS TO DEBIAN.
- IF YOU WANT TO REPORT A BUG IN UBUNTU, PLEASE USE "ubuntu-bug"
- INSTEAD (from the "apport" package).
 
 Package: python3-reportbug
 Section: python

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

VERSION := $(shell dpkg-parsechangelog | egrep '^Version:' | sed 's/^Version: \([^-]*\).*/\1/')
DISTRO := $(shell dpkg-parsechangelog | egrep '^Distribution:' | sed 's/^Distribution: \([^+]*\).*/\1/')
REPORTBUG_VERSION := $(shell python3 -c "import reportbug; print(reportbug.VERSION_NUMBER)")

%:
	dh $@ --with=python3

override_dh_auto_build:
	# Test if versions are synchronized (only if releasing); this will bomb if not synced
	if [ "$(DISTRO)" != "UNRELEASED" -a "$(REPORTBUG_VERSION)" != "$(VERSION)" ] ; \
	then \
		echo 'Please update VERSION_NUMBER variable in reportbug/__init__.py'; exit 1 ; \
	fi

	python3 setup.py build

override_dh_auto_install:
	python3 setup.py install --root $(CURDIR)/debian/reportbug --install-layout=deb
	mv $(CURDIR)/debian/reportbug/usr/lib $(CURDIR)/debian/python3-reportbug/usr
	chmod 0755 $(CURDIR)/debian/reportbug/usr/bin/*
	cp -p conf/reportbug.conf $(CURDIR)/debian/reportbug/etc

	cp -p debian/desktop $(CURDIR)/debian/reportbug/usr/share/applications/reportbug.desktop

override_dh_installman:
	dh_installman man/*

## reportbug 7.1.7ubuntu1

=== debian/changelog ===
reportbug (7.1.7ubuntu1) artful; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - bin/reportbug: If bts=ubuntu or unconfigured, exit with an error and
      refer user to "ubuntu-bug" instead.
    - reportbug/__init__.py: Match reportbug version with package version.
    - debian/control: Add prominent note to package description.
    - debian/{rules,dirs}: Do not install .desktop file.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Wed, 31 May 2017 08:46:30 +0530

reportbug (7.1.7) unstable; urgency=medium

  * reportbug/utils.py
    - fix description regex to match only textual description (and not the MD5);
      patch by Nis Martensen; Closes: #863322
    - switch to use apt-cache instead of dpkg --print-avail; patch by Nis
      Martensen
    - get_command_output() doesnt strip a trailing new-line, so deal with that
      behavior when running lsb_release and dpkg --print-architecture; patch by
      Nis Martensen; Closes: #861153
    - update suites names: fade out squeeze (wheezy is now oldoldstable) and
      introduce buster (testing), bullseye (next-testing); Closes: #862801
    - in search_path_for, split PATH directories using ':'; patch by Kamaraju
      Kusumanchi; Closes: #827088
    - strip arch-qualifier when looking up dependencies information; patch by
      Nis Martensen; Closes: #749884
    - fix a crash when parsing the config files lines in the package
      information; patch by Nis Martensen; Closes: #857013, #846053, #826534
  * reportbug/debbugs.py
    - add manpages.debian.org to pseudo-packages list; Closes: #861859
  * debian/control
    - update emacs dependencies to emacs24 (default) and emacs25 (alternative)
    - remove Chris Lawrence from Uploaders, thanks for all you've done for
      reportbug!!
    - switch Vcs-* URLs to HTTPS
  * remove double imports
  * debian/desktop
    - add Danish translation to desktop file; patch by scootergrisen;
      Closes: #855973
  * reportbug/bugreport.py
    - add LANGUAGE env var to locales bugreport section; Closes: #840898
  * bin/querybts
    - url_open() now returns a string, no need to read() it anymore; also
      replace URLError exception handling with NoNetwork; Closes: #859274
  * reportbug/debbugs.py, reportbug/utils.py
    - Finish open_url return type conversion: url_open() now returns a string
      and no longer an HTTPRespons object; patch by Nis Martensen; extends the
      fix for #859274
  * bin/reportbug
    - fix error formatting when printing the error for draft directory
      non-existing; patch by Gaetano Guerriero; Closes: #816375
  * doc/README.source
    - update README.source to the current source layout; Closes: #827002
  * debian/copyright
    - switch the Format field to the URL in the packaging-manuals

 -- Sandro Tosi <morph@debian.org>  Mon, 29 May 2017 16:00:17 -0400

reportbug (7.1.6ubuntu1) artful; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - bin/reportbug: If bts=ubuntu or unconfigured, exit with an error and
      refer user to "ubuntu-bug" instead.
    - reportbug/__init__.py: Match reportbug version with package version.
    - debian/control: Add prominent note to package description.
    - debian/{rules,dirs}: Do not install .desktop file.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Sat, 22 Apr 2017 14:59:15 +0530

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,20 @@
 Source: reportbug
 Section: utils
 Priority: standard
-Maintainer: Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org> 
-Standards-Version: 3.9.6
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Reportbug Maintainers <reportbug-maint@lists.alioth.debian.org>
+Uploaders: Sandro Tosi <morph@debian.org>
+Standards-Version: 3.9.8
 Build-Depends: debhelper (>= 9), python3, dh-python
 Build-Depends-Indep: python3-nose, python3-setuptools, python3-mock
-Vcs-Git: git://anonscm.debian.org/reportbug/reportbug.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=reportbug/reportbug.git
+Vcs-Git: https://anonscm.debian.org/git/reportbug/reportbug.git
+Vcs-Browser: https://anonscm.debian.org/cgit/reportbug/reportbug.git
 Homepage: http://alioth.debian.org/projects/reportbug/
 
 Package: reportbug
 Architecture: all
 Depends: ${misc:Depends}, ${python3:Depends}, apt, python3-reportbug (= ${source:Version})
-Suggests: postfix | exim4 | mail-transport-agent, gnupg | pgp, debconf-utils (>> 1.1.0), debsums (>= 2.0.47), file (>> 1.30), dlocate, python3-urwid, python3-gi, python3-gi-cairo, gir1.2-gtk-3.0, gir1.2-vte-2.91, python3-gtkspellcheck, xdg-utils, emacs23-bin-common | emacs24-bin-common, claws-mail (>= 3.8.0)
+Suggests: postfix | exim4 | mail-transport-agent, gnupg | pgp, debconf-utils (>> 1.1.0), debsums (>= 2.0.47), file (>> 1.30), dlocate, python3-urwid, python3-gi, python3-gi-cairo, gir1.2-gtk-3.0, gir1.2-vte-2.91, python3-gtkspellcheck, xdg-utils, emacs24-bin-common | emacs25-bin-common, claws-mail (>= 3.8.0)
 Description: reports bugs in the Debian distribution
  reportbug is a tool designed to make the reporting of bugs in Debian
  and derived distributions relatively painless.  Its features include:
@@ -31,6 +33,10 @@
  .
  This package also includes the "querybts" script for browsing the
  Debian bug tracking system.
+ .
+ REPORTBUG IS MEANT FOR UBUNTU DEVELOPERS TO FORWARD BUGS TO DEBIAN.
+ IF YOU WANT TO REPORT A BUG IN UBUNTU, PLEASE USE "ubuntu-bug"
+ INSTEAD (from the "apport" package).
 
 Package: python3-reportbug
 Section: python

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-VERSION := $(shell dpkg-parsechangelog | egrep '^Version:' | sed 's/^Version: \([^-]*\).*/\1/')
+VERSION := $(shell dpkg-parsechangelog | egrep '^Version:' | sed 's/^Version: \([^+]*\).*/\1/')
 DISTRO := $(shell dpkg-parsechangelog | egrep '^Distribution:' | sed 's/^Distribution: \([^+]*\).*/\1/')
 REPORTBUG_VERSION := $(shell python3 -c "import reportbug; print(reportbug.VERSION_NUMBER)")
 
@@ -25,7 +25,5 @@
 	chmod 0755 $(CURDIR)/debian/reportbug/usr/bin/*
 	cp -p conf/reportbug.conf $(CURDIR)/debian/reportbug/etc
 
-	cp -p debian/desktop $(CURDIR)/debian/reportbug/usr/share/applications/reportbug.desktop
-
 override_dh_installman:
 	dh_installman man/*

## reportbug 7.1.7+deb9u3

=== debian/changelog ===
reportbug (7.1.7+deb9u3) stretch; urgency=medium

  * Non-maintainer upload.
  * Exclude *.pyc from source package.
  * reportbug/utils.py
    - update release names, following Buster releases, patch by Nicolas
      Braud-Santoni; Closes: #932524, #931609

 -- Andreas Beckmann <anbe@debian.org>  Thu, 29 Aug 2019 16:19:25 +0200

reportbug (7.1.7+deb9u2) stretch; urgency=medium

  * Non-maintainer upload.
  * Backport the fix for Debian bug #878088. Notify the security team or LTS
    team about a possible regression if reporting a bug against a package
    containing a security fix.
  * python3-reportbug: Depend on python3-apt to fix #878088.

 -- Markus Koschany <apo@debian.org>  Wed, 04 Jul 2018 00:31:56 +0200

reportbug (7.1.7+deb9u1) stretch; urgency=medium

  * Non-maintainer upload.
  * Don't CC secure-testing-team@lists.alioth.debian.org anymore.
    The testing security team didn't exist for a long time and the
    mailinglist will disappear when Alioth will be decomissioned.
    Thanks to Moritz Muehlenhoff (Closes: #888832)

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 02 Mar 2018 15:10:15 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: reportbug
 Section: utils
 Priority: standard
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Reportbug Maintainers <reportbug-maint@lists.alioth.debian.org>
+Maintainer: Reportbug Maintainers <reportbug-maint@lists.alioth.debian.org>
 Uploaders: Sandro Tosi <morph@debian.org>
 Standards-Version: 3.9.8
 Build-Depends: debhelper (>= 9), python3, dh-python
@@ -33,15 +32,11 @@
  .
  This package also includes the "querybts" script for browsing the
  Debian bug tracking system.
- .
- REPORTBUG IS MEANT FOR UBUNTU DEVELOPERS TO FORWARD BUGS TO DEBIAN.
- IF YOU WANT TO REPORT A BUG IN UBUNTU, PLEASE USE "ubuntu-bug"
- INSTEAD (from the "apport" package).
 
 Package: python3-reportbug
 Section: python
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends}, apt, python3-debian, python3-debianbts (>= 1.13), file, python3-requests
+Depends: ${misc:Depends}, ${python3:Depends}, apt, python3-debian, python3-debianbts (>= 1.13), file, python3-requests, python3-apt
 Suggests: reportbug
 Description: Python modules for interacting with bug tracking systems
  reportbug is a tool designed to make the reporting of bugs in Debian

=== debian/rules ===
--- 
+++ 
@@ -25,5 +25,11 @@
 	chmod 0755 $(CURDIR)/debian/reportbug/usr/bin/*
 	cp -p conf/reportbug.conf $(CURDIR)/debian/reportbug/etc
 
+	cp -p debian/desktop $(CURDIR)/debian/reportbug/usr/share/applications/reportbug.desktop
+
+override_dh_auto_clean:
+	dh_auto_clean
+	find . -name \*.pyc -delete
+
 override_dh_installman:
 	dh_installman man/*

## reportbug 7.1.8ubuntu1

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #! /usr/bin/make -f
 
-NOSETESTS = nosetests test -v --stop
+NOSETESTS = nosetests3 test -v --stop
 nosetests_cmd = $(NOSETESTS) ${NOSETESTS_OPTS}
 
 .PHONY: tests

=== debian/changelog ===
reportbug (7.1.8ubuntu1) bionic; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - bin/reportbug: If bts=ubuntu or unconfigured, exit with an error and
      refer user to "ubuntu-bug" instead.
    - reportbug/__init__.py: Match reportbug version with package version.
    - debian/control: Add prominent note to package description.
    - debian/{rules,dirs}: Do not install .desktop file.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Sat, 30 Dec 2017 19:41:19 +0530

reportbug (7.1.8) unstable; urgency=medium

  * reportbug/debbugs.py
    - add `a11y` tag
    - dont RFC2047-encode the Owner pseudo header when submitting a WNPP bug;
      patch by Nis Martensen; Closes: #872780
  * reportbug/utils.py, bin/*
    - fix invalid escape sequence deprecation warnings with Python 3.6; patch by
      Ville Skyttä; Closes: #878437
    - redirect stderr to stdout when running commands via get_command_output(),
      and this prevents errors to be sent to the terminal; Closes: #882130
  * reportbug/ui/gtk2_ui.py
    - typo fix; Closes: #875309
  * debian/control
    - add sensible-utils to reportbug depends, since we require sensible-*
      commands to be available; Closes: #871527
  * man/reportbug.1
    - fix reference to -A/--attach in the include-file section; patch by Alex
      Muntada; Closes: #871769, #878420
  * reportbug/{debbugs.py, utils.py}
    - add tailing new-line when processing strings line by line; patch by Nis
      Martensen; Closes: #866596
  * reportbug/submit.py
    - remove spurious print() of MIME type, introduced during the py3k porting;
      patch by Nis Martensen; Closes: #868154
    - use quoted-printable encoding for lines that are over 980 chars long;
      patch by Nis Martensen; Closes: #849765
  * fix some spelling errors; patch by Ville Skyttä; Closes: #878436
  * bin/reportbug
    - preserve attachments order; patch by Ville Skyttä; Closes: #878538
  * add Linux Security Model (LSM) information to the 'System info' section of
    the bug report (if any LSM is enabled on the system); patch by Laurent
    Bigonville and intrigeri; Closes: #773346
  * debian/source/options
    - use the default XZ compression algo by removing the custom setting to use
      bzip2; patch by Boyuan Yang; Closes: #863823
  * use context managers to avoid leaving unclosed file descriptors (which often
    results in users losing control of their terminal windows); patch by Nis
    Martensen; Closes: #695887, #849763, #882983
  * prevent Unicode(De|En)codeError with most open() calls by using
    'backslashreplace' in case of errors; patch by Nis Martensen;
    Closes: #877650, #883577, #868022
  * debian/copyright
    - leave only me as Upstream-Author and Packaged-By
  * debian/control
    - bump Standards-Version to 4.1.2 (no changes needed)
  * debian/rules
    - dont call dpkg-parsechangelog directly, use dpkg/pkg-info.mk instead

 -- Sandro Tosi <morph@debian.org>  Thu, 28 Dec 2017 23:25:43 -0500

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: reportbug
 Section: utils
 Priority: standard
-Maintainer: Reportbug Maintainers <reportbug-maint@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Reportbug Maintainers <reportbug-maint@lists.alioth.debian.org>
 Uploaders: Sandro Tosi <morph@debian.org>
-Standards-Version: 3.9.8
-Build-Depends: debhelper (>= 9), python3, dh-python
+Standards-Version: 4.1.2
+Build-Depends: debhelper (>= 10), python3, dh-python
 Build-Depends-Indep: python3-nose, python3-setuptools, python3-mock
 Vcs-Git: https://anonscm.debian.org/git/reportbug/reportbug.git
 Vcs-Browser: https://anonscm.debian.org/cgit/reportbug/reportbug.git
@@ -12,7 +13,7 @@
 
 Package: reportbug
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends}, apt, python3-reportbug (= ${source:Version})
+Depends: ${misc:Depends}, ${python3:Depends}, apt, python3-reportbug (= ${source:Version}), sensible-utils
 Suggests: postfix | exim4 | mail-transport-agent, gnupg | pgp, debconf-utils (>> 1.1.0), debsums (>= 2.0.47), file (>> 1.30), dlocate, python3-urwid, python3-gi, python3-gi-cairo, gir1.2-gtk-3.0, gir1.2-vte-2.91, python3-gtkspellcheck, xdg-utils, emacs24-bin-common | emacs25-bin-common, claws-mail (>= 3.8.0)
 Description: reports bugs in the Debian distribution
  reportbug is a tool designed to make the reporting of bugs in Debian
@@ -32,11 +33,15 @@
  .
  This package also includes the "querybts" script for browsing the
  Debian bug tracking system.
+ .
+ REPORTBUG IS MEANT FOR UBUNTU DEVELOPERS TO FORWARD BUGS TO DEBIAN.
+ IF YOU WANT TO REPORT A BUG IN UBUNTU, PLEASE USE "ubuntu-bug"
+ INSTEAD (from the "apport" package).
 
 Package: python3-reportbug
 Section: python
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends}, apt, python3-debian, python3-debianbts (>= 1.13), file, python3-requests, python3-apt
+Depends: ${misc:Depends}, ${python3:Depends}, apt, python3-debian, python3-debianbts (>= 1.13), file, python3-requests
 Suggests: reportbug
 Description: Python modules for interacting with bug tracking systems
  reportbug is a tool designed to make the reporting of bugs in Debian
